#!/bin/bash


# Recompilation eventuelle de l'executable
##########################################
if [ ! -f lmdz1d.e ] ; then
    ./compile.x
fi

# On travaille dans le sous-repertoire DEMO
###########################################
mkdir -p DEMO
cd DEMO


# On copie recupere les fichiers necessaires par copie ou liens logiques
########################################################################
for file in run.def lmdz1d.def gcm.def config.def ; do
cp ../$file .
done
cp ../physiq_AR4.def physiq.def
ln -s ../d_toga .
ln -s ../lmdz1d.e .
ln -s ../diags .

# On lance le script xqt qui lance le modele lmdz1d.e et effectue quelques
# manipulations sur les fichiers de sortie
#########################################################################
../xqt.x

# Diagnostics standards standards
#######################
../diags.x DEMO
